/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */
package org.apache.mina.transport.socket.nio;

import org.apache.mina.common.IoAcceptor;
import org.apache.mina.common.IoConnector;
import org.apache.mina.transport.AbstractConnectorTest;

/**
 * Tests {@link NioSocketConnector}.
 *
 * @author The Apache MINA Project (dev@mina.apache.org)
 * @version $Rev: 579944 $, $Date: 2007-09-27 02:38:44 -0600 (Thu, 27 Sep 2007) $
 */
public class SocketConnectorTest extends AbstractConnectorTest {

    @Override
    protected IoAcceptor createAcceptor() {
        return new NioSocketAcceptor();
    }

    @Override
    protected IoConnector createConnector() {
        return new NioSocketConnector();
    }
}
